class IntStack
{
	private IntStackElement head;
	private int size;
	
	public int pop(){
		if (size == 0){
			return Integer.MIN_VALUE;
		}
		int returnValue = head.getValue(); 
		head = head.getPrev();
		size -- ;
		return returnValue;
	}
	
	public void push(int x){
		IntStackElement newElement = new IntStackElement(x);
		newElement.setPrev(head);
		head = newElement;
		size ++;
	}
	
	public String toString(){
		String returnString = "";
		IntStackElement pointer = head;
		for (int i =0; i < size ; i ++){
			returnString = returnString + pointer.getValue() + " ";
			pointer = pointer.getPrev();
		}
		return returnString;
	}
	
	public static void main(String [] args){
		IntStack myStack = new IntStack();
		System.out.println(myStack);
		myStack.push(10);
		myStack.push(8);
		System.out.println(myStack);
		System.out.println(myStack.pop());
		System.out.println(myStack.pop());
		System.out.println(myStack.pop());
	}
}